# Class ExternalHyperlink

#### Hierarchy

- XmlComponent
  - ExternalHyperlink

- Defined in src/file/paragraph/links/hyperlink.ts:41

#####
Index

### Constructors

constructor

### Properties

options

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new ExternalHyperlink(options): ExternalHyperlink

- #### Parameters

  - ##### options: {
    children: readonly ParagraphChild[];
    link: string;
    }

    - ##### `Readonly` children: readonly ParagraphChild[]

    - ##### `Readonly` link: string

  #### Returns ExternalHyperlink

  Overrides XmlComponent.constructor

  - Defined in src/file/paragraph/links/hyperlink.ts:42

## Properties

### `Readonly` options

options: {
children: readonly ParagraphChild[];
link: string;
}

#### Type declaration

- ##### `Readonly` children: readonly ParagraphChild[]

- ##### `Readonly` link: string

- Defined in src/file/paragraph/links/hyperlink.ts:42

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from XmlComponent.addChildElement

  - Defined in src/file/xml-components/xml-component.ts:45

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from XmlComponent.prepForXml

  - Defined in src/file/xml-components/xml-component.ts:20

Generated using TypeDoc